Unable to compile MySQL under cygwin

Gerrit P. Haase gp@familiehaase.de
Sun Dec 2 07:26:00 GMT 2001


Hallo Sylvain,

Am 2001-12-02 um 15:50 schriebst du:

> Hi all,

> Trying to compile last MySQL version gives me
> an error while running autoconf (version 2.52) :

Which version is the last?
I built 4.0 'release' and there is a configure script included
so there is no need to run autoconf.
If you get it from CVS and no configure is included, then
there are twio possibilities:
1. autoconf 2.52 isn't supported by the mysql hackers and
   you need to use 2.13
2. it is a bug in configure.in

> How could I solve this problem ?

Have you tried to use autoupdate?
Have you looked at the mysql support pages if it is a known
bug?

Use the released versions, 3.23.44 or 4.0, both were build
by me and it works nearly OOTB (only one patch needed, is attached).

I attached also my buildscript because it is important which options
you choose, e.g --enable-assembler doesn't work.

Ciao,

Gerrit P. Haase                            mailto:gp@familiehaase.de
-- 
=^..^=
-------------- next part --------------
A non-text attachment was scrubbed...
Name: mysql.patch
Type: application/octet-stream
Size: 438 bytes
Desc: not available
URL: <http://cygwin.com/pipermail/cygwin/attachments/20011202/7b789034/attachment.obj>
-------------- next part --------------
A non-text attachment was scrubbed...
Name: mysql.build
Type: application/octet-stream
Size: 2701 bytes
Desc: not available
URL: <http://cygwin.com/pipermail/cygwin/attachments/20011202/7b789034/attachment-0001.obj>
-------------- next part --------------
--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/


More information about the Cygwin mailing list